import { Expression, StringExpression } from "adaptive-expressions";
import { Converter, ConverterFactory, Dialog, DialogConfiguration, DialogContext, DialogTurnResult } from "botbuilder-dialogs";
export interface BotFrameworkAttachmentCustomActionsConfiguration extends DialogConfiguration {
    url: string | string | Expression | StringExpression;
    action: string | string | Expression | StringExpression;
    channelId: string | string | Expression | StringExpression;
    msAppId: string | string | Expression | StringExpression;
    msAppPwd: string | string | Expression | StringExpression;
    resultProperty?: string | Expression | StringExpression;
}
export declare class BotFrameworkAttachmentCustomActions extends Dialog implements BotFrameworkAttachmentCustomActionsConfiguration {
    static $kind: string;
    url: StringExpression;
    action: StringExpression;
    channelId: StringExpression;
    msAppId: StringExpression;
    msAppPwd: StringExpression;
    resultProperty?: StringExpression;
    getConverter(property: keyof BotFrameworkAttachmentCustomActionsConfiguration): Converter | ConverterFactory;
    beginDialog(dc: DialogContext): Promise<DialogTurnResult>;
    protected onComputeId(): string;
}
