import { Expression, StringExpression } from "adaptive-expressions";
import { Converter, ConverterFactory, Dialog, DialogConfiguration, DialogContext, DialogTurnResult } from "botbuilder-dialogs";
export interface BotFrameworkOAuthCustomActionsConfiguration extends DialogConfiguration {
    action: string | string | Expression | StringExpression;
    connectionName: string | string | Expression | StringExpression;
    userId: string | string | Expression | StringExpression;
    channelId: string | string | Expression | StringExpression;
    msAppId: string | string | Expression | StringExpression;
    msAppPwd: string | string | Expression | StringExpression;
    resultProperty?: string | Expression | StringExpression;
}
export declare class BotFrameworkOAuthCustomActions extends Dialog implements BotFrameworkOAuthCustomActionsConfiguration {
    static $kind: string;
    action: StringExpression;
    channelId: StringExpression;
    connectionName: StringExpression;
    userId: StringExpression;
    msAppId: StringExpression;
    msAppPwd: StringExpression;
    resultProperty?: StringExpression;
    getConverter(property: keyof BotFrameworkOAuthCustomActionsConfiguration): Converter | ConverterFactory;
    beginDialog(dc: DialogContext): Promise<DialogTurnResult>;
    protected onComputeId(): string;
}
