"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OAuthActions = void 0;
const { BotFrameworkAdapter } = require('botbuilder');
class OAuthActions {
    static signout(dc, userId, connectionName, msAppId, msAppPwd) {
        return __awaiter(this, void 0, void 0, function* () {
            // const userTokenClient = dc.context.turnState.get(dc.context.adapter.ConnectorClientKey);
            // const { activity } = dc.context.activity;
            // await userTokenClient.signOutUser(activity.from.id, connectionName, activity.channelId);
            const adapter = new BotFrameworkAdapter({
                msAppId,
                msAppPwd
            });
            yield adapter.signOutUser(dc, connectionName, userId); //dc.context.activity.from.id);//activity.from.id);
            yield dc.context.sendActivity('You have been signed out.');
            // return await innerDc.cancelAllDialogs();    
        });
    }
}
exports.OAuthActions = OAuthActions;
