"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const botbuilder_1 = require("botbuilder");
const botFrameworkAttachmentCustomActions_1 = require("./botFrameworkAttachmentCustomActions");
const botFrameworkOAuthCustomActions_1 = require("./botFrameworkOAuthCustomActions");
// export function ping() {
//   return "hello there!";
// }
class BotFrameworkCustomActionsBotComponent extends botbuilder_1.BotComponent {
    configureServices(services, _configuration) {
        services.composeFactory("declarativeTypes", (declarativeTypes) => declarativeTypes.concat({
            getDeclarativeTypes() {
                return [
                    {
                        kind: botFrameworkAttachmentCustomActions_1.BotFrameworkAttachmentCustomActions.$kind,
                        type: botFrameworkAttachmentCustomActions_1.BotFrameworkAttachmentCustomActions,
                    },
                    {
                        kind: botFrameworkOAuthCustomActions_1.BotFrameworkOAuthCustomActions.$kind,
                        type: botFrameworkOAuthCustomActions_1.BotFrameworkOAuthCustomActions,
                    },
                ];
            },
        }));
    }
}
exports.default = BotFrameworkCustomActionsBotComponent;
