import {
  DialogContext
} from "botbuilder-dialogs";
const { BotFrameworkAdapter } = require('botbuilder');

export class OAuthActions {  
  public static async signout(dc: DialogContext, userId: string, connectionName: string, msAppId: string, msAppPwd: string) {
    // const userTokenClient = dc.context.turnState.get(dc.context.adapter.ConnectorClientKey);

    // const { activity } = dc.context.activity;
    // await userTokenClient.signOutUser(activity.from.id, connectionName, activity.channelId);
    

    const adapter = new BotFrameworkAdapter({
      msAppId,
      msAppPwd
    });
    await adapter.signOutUser(dc, connectionName, userId);//dc.context.activity.from.id);//activity.from.id);

    await dc.context.sendActivity('You have been signed out.');
    // return await innerDc.cancelAllDialogs();    
  }
}
